//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 12:55:12 PM CEST 
//


package net.ihe.gazelle.goc.xmm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{xmm}body"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="annotatedElement" use="required" type="{http://www.w3.org/2001/XMLSchema}NCName" /&gt;
 *       &lt;attribute ref="{xmm}id"/&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "body"
})
@XmlRootElement(name = "ownedComment")
public class OwnedComment {

    @XmlElement(required = true)
    private String body;
    @XmlAttribute(name = "annotatedElement", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    private String annotatedElement;
    @XmlAttribute(name = "id", namespace = "http://schema.omg.org/spec/XMI/2.1")
    private String id;

    /**
     * Gets the value of the body property.
     *
     * @return a {@link java.lang.String} object.
     */
    public String getBody() {
        return body;
    }

    /**
     * Sets the value of the body property.
     *
     * @param value
     *     allowed object is
     *     {@link java.lang.String}
     */
    public void setBody(String value) {
        this.body = value;
    }

    /**
     * Gets the value of the annotatedElement property.
     *
     * @return a {@link java.lang.String} object.
     */
    public String getAnnotatedElement() {
        return annotatedElement;
    }

    /**
     * Sets the value of the annotatedElement property.
     *
     * @param value
     *     allowed object is
     *     {@link java.lang.String}
     */
    public void setAnnotatedElement(String value) {
        this.annotatedElement = value;
    }

    /**
     * Gets the value of the id property.
     *
     * @return a {@link java.lang.String} object.
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     *
     * @param value
     *     allowed object is
     *     {@link java.lang.String}
     */
    public void setId(String value) {
        this.id = value;
    }

}
